## kylin-process-manager 4.0.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)

project(kylin-process-manager LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

add_subdirectory(process-manager)
add_subdirectory(process-manager-daemon)

set(QAPPLICATION_CLASS QCoreApplication  CACHE STRING "Inheritance class for SingleApplication")
add_subdirectory(third-party/SingleApplication)
