=== debian/changelog ===
kylin-process-manager (4.0.0.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:48:35 +1100

kylin-process-manager (4.0.0.0-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:32:26 +0000

kylin-process-manager (4.0.0.0-1) unstable; urgency=medium

  * 4.0.0.0 release.
  * Upload to unstable.

 -- pengfeiguo <pengfeiguo@openkylin.top>  Fri, 19 Jan 2024 10:55:08 +0800

kylin-process-manager (3.0.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1032455)

 -- KevinDuan <duankaiwen@ubuntukylin.com>  Thu, 02 Mar 2023 13:41:30 +0800
