=== debian/control ===
Source: kylin-process-manager
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: pengfeiguo <pengfeiguo@openkylin.top>
Uploaders: xibowen <xibowen@kylinos.cn>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libcgroup-dev,
               libglib2.0-dev,
               libgsettings-qt-dev,
               libkf5config-dev,
               libkf5kio-dev,
               libkf5wayland-dev,
               libkf5windowsystem-dev,
               libkysdk-applications-dev,
               libproc2-dev,
               libspdlog-dev,
               libukui-log4qt-dev,
               pkg-config,
               qtbase5-dev
Standards-Version: 4.6.1.0
Rules-Requires-Root: no
Homepage: https://gitee.com/openkylin/kylin-process-manager
Vcs-Git: https://gitee.com/openkylin/kylin-process-manager.git
Vcs-Browser: https://gitee.com/openkylin/kylin-process-manager

Package: kylin-process-manager
Architecture: any
Depends: kylin-process-manager-daemon,
         xdg-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Process manager for UKUI
 kylin-process-manager is responsible for application startup and limits
 resources for applications based on the status of the application window.
 It ensures that system components and focus application can obtain
 more system resources.

Package: kylin-process-manager-daemon
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Process manager daemon for UKUI
 kylin-process-manager-daemon is the backend service of kylin-process-manager,
 for managing the cgroups of application or process. It provides D-Bus APIs
 for kylin-process-manager.
