=== debian/watch ===
version=4
https://gitee.com/openkylin/kylin-process-manager/releases/ .*/kylin-process-manager-(\d\S+)\.tar\.gz
